Gentoo Archives: gentoo-commits

From: "Mike Frysinger (vapier)" <vapier@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-libs/openssl: openssl-0.9.8s.ebuild ChangeLog openssl-1.0.0f.ebuild
Date: Wed, 04 Jan 2012 21:44:58
Message-Id: 20120104214448.9488720034@flycatcher.gentoo.org
1 vapier 12/01/04 21:44:48
2
3 Modified: ChangeLog
4 Added: openssl-0.9.8s.ebuild openssl-1.0.0f.ebuild
5 Log:
6 Version bump #397695.
7
8 (Portage version: 2.2.0_alpha81/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.413 dev-libs/openssl/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/ChangeLog?rev=1.413&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/ChangeLog?rev=1.413&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/ChangeLog?r1=1.412&r2=1.413
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-libs/openssl/ChangeLog,v
20 retrieving revision 1.412
21 retrieving revision 1.413
22 diff -u -r1.412 -r1.413
23 --- ChangeLog 7 Dec 2011 16:03:05 -0000 1.412
24 +++ ChangeLog 4 Jan 2012 21:44:48 -0000 1.413
25 @@ -1,6 +1,13 @@
26 # ChangeLog for dev-libs/openssl
27 -# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/ChangeLog,v 1.412 2011/12/07 16:03:05 vapier Exp $
29 +# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
30 +# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/ChangeLog,v 1.413 2012/01/04 21:44:48 vapier Exp $
31 +
32 +*openssl-1.0.0f (04 Jan 2012)
33 +*openssl-0.9.8s (04 Jan 2012)
34 +
35 + 04 Jan 2012; Mike Frysinger <vapier@g.o> +openssl-0.9.8s.ebuild,
36 + +openssl-1.0.0f.ebuild:
37 + Version bump #397695.
38
39 07 Dec 2011; Mike Frysinger <vapier@g.o> files/gentoo.config-1.0.0,
40 openssl-1.0.0e-r1.ebuild, +files/openssl-1.0.0e-x32.patch:
41
42
43
44 1.1 dev-libs/openssl/openssl-0.9.8s.ebuild
45
46 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-0.9.8s.ebuild?rev=1.1&view=markup
47 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-0.9.8s.ebuild?rev=1.1&content-type=text/plain
48
49 Index: openssl-0.9.8s.ebuild
50 ===================================================================
51 # Copyright 1999-2012 Gentoo Foundation
52 # Distributed under the terms of the GNU General Public License v2
53 # $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-0.9.8s.ebuild,v 1.1 2012/01/04 21:44:48 vapier Exp $
54
55 # this ebuild is only for the libcrypto.so.0.9.8 and libssl.so.0.9.8 SONAME for ABI compat
56
57 EAPI="2"
58
59 inherit eutils flag-o-matic toolchain-funcs
60
61 DESCRIPTION="Toolkit for SSL v2/v3 and TLS v1"
62 HOMEPAGE="http://www.openssl.org/"
63 SRC_URI="mirror://openssl/source/${P}.tar.gz"
64
65 LICENSE="openssl"
66 SLOT="0.9.8"
67 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
68 IUSE="bindist gmp kerberos sse2 test zlib"
69
70 RDEPEND="gmp? ( dev-libs/gmp )
71 zlib? ( sys-libs/zlib )
72 kerberos? ( app-crypt/mit-krb5 )
73 !=dev-libs/openssl-0.9.8*:0"
74 DEPEND="${RDEPEND}
75 sys-apps/diffutils
76 >=dev-lang/perl-5
77 test? ( sys-devel/bc )"
78
79 pkg_setup() {
80 # avoid collisions with openssl-1 (preserve lib)
81 if ! has_version dev-libs/openssl:${SLOT} ; then
82 ewarn "Removing lib{crypto,ssl}.so.0.9.8 to avoid collision with openssl-1"
83 rm -f "${ROOT}"/usr/$(get_libdir)/lib{crypto,ssl}.so.0.9.8
84 fi
85 }
86
87 src_prepare() {
88 epatch "${FILESDIR}"/${PN}-0.9.8e-bsd-sparc64.patch
89 epatch "${FILESDIR}"/${PN}-0.9.8h-ldflags.patch #181438
90 epatch "${FILESDIR}"/${PN}-0.9.8m-binutils.patch #289130
91
92 # disable fips in the build
93 # make sure the man pages are suffixed #302165
94 # don't bother building man pages if they're disabled
95 sed -i \
96 -e '/DIRS/s: fips : :g' \
97 -e '/^MANSUFFIX/s:=.*:=ssl:' \
98 -e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
99 -e $(has noman FEATURES \
100 && echo '/^install:/s:install_docs::' \
101 || echo '/^MANDIR=/s:=.*:=/usr/share/man:') \
102 Makefile{,.org} \
103 || die
104 # show the actual commands in the log
105 sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
106 # update the enginedir path
107 sed -i \
108 -e "/foo.*engines/s|/lib/engines|/$(get_libdir)/engines|" \
109 Configure || die
110
111 # allow openssl to be cross-compiled
112 cp "${FILESDIR}"/gentoo.config-0.9.8 gentoo.config || die "cp cross-compile failed"
113 chmod a+rx gentoo.config
114
115 append-flags -fno-strict-aliasing
116 append-flags -Wa,--noexecstack
117
118 sed -i '1s,^:$,#!/usr/bin/perl,' Configure #141906
119 sed -i '/^"debug-steve/d' Configure # 0.9.8k shipped broken
120 ./config --test-sanity || die "I AM NOT SANE"
121 }
122
123 src_configure() {
124 unset APPS #197996
125 unset SCRIPTS #312551
126
127 tc-export CC AR RANLIB
128
129 # Clean out patent-or-otherwise-encumbered code
130 # Camellia: Royalty Free http://en.wikipedia.org/wiki/Camellia_(cipher)
131 # IDEA: 5,214,703 25/05/2010 http://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
132 # EC: ????????? ??/??/2015 http://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
133 # MDC2: Expired http://en.wikipedia.org/wiki/MDC-2
134 # RC5: 5,724,428 03/03/2015 http://en.wikipedia.org/wiki/RC5
135
136 use_ssl() { use $1 && echo "enable-${2:-$1} ${*:3}" || echo "no-${2:-$1}" ; }
137 echoit() { echo "$@" ; "$@" ; }
138
139 local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
140
141 local sslout=$(./gentoo.config)
142 einfo "Use configuration ${sslout:-(openssl knows best)}"
143 local config="Configure"
144 [[ -z ${sslout} ]] && config="config"
145 echoit \
146 ./${config} \
147 ${sslout} \
148 $(use sse2 || echo "no-sse2") \
149 enable-camellia \
150 $(use_ssl !bindist ec) \
151 $(use_ssl !bindist idea) \
152 enable-mdc2 \
153 $(use_ssl !bindist rc5) \
154 enable-tlsext \
155 $(use_ssl gmp gmp -lgmp) \
156 $(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
157 $(use_ssl zlib) \
158 --prefix=/usr \
159 --openssldir=/etc/ssl \
160 shared threads \
161 || die "Configure failed"
162
163 # Clean out hardcoded flags that openssl uses
164 local CFLAG=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
165 -e 's:^CFLAG=::' \
166 -e 's:-fomit-frame-pointer ::g' \
167 -e 's:-O[0-9] ::g' \
168 -e 's:-march=[-a-z0-9]* ::g' \
169 -e 's:-mcpu=[-a-z0-9]* ::g' \
170 -e 's:-m[a-z0-9]* ::g' \
171 )
172 sed -i \
173 -e "/^LIBDIR=/s|=.*|=$(get_libdir)|" \
174 -e "/^CFLAG/s|=.*|=${CFLAG} ${CFLAGS}|" \
175 -e "/^SHARED_LDFLAGS=/s|$| ${LDFLAGS}|" \
176 Makefile || die
177 }
178
179 src_compile() {
180 # depend is needed to use $confopts
181 emake -j1 depend || die "depend failed"
182 emake -j1 build_libs || die "make build_libs failed"
183 }
184
185 src_test() {
186 emake -j1 test || die "make test failed"
187 }
188
189 src_install() {
190 dolib.so lib{crypto,ssl}.so.0.9.8 || die
191 }
192
193
194
195 1.1 dev-libs/openssl/openssl-1.0.0f.ebuild
196
197 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.0f.ebuild?rev=1.1&view=markup
198 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.0f.ebuild?rev=1.1&content-type=text/plain
199
200 Index: openssl-1.0.0f.ebuild
201 ===================================================================
202 # Copyright 1999-2012 Gentoo Foundation
203 # Distributed under the terms of the GNU General Public License v2
204 # $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.0f.ebuild,v 1.1 2012/01/04 21:44:48 vapier Exp $
205
206 EAPI="2"
207
208 inherit eutils flag-o-matic toolchain-funcs
209
210 REV="1.7"
211 DESCRIPTION="full-strength general purpose cryptography library (including SSL v2/v3 and TLS v1)"
212 HOMEPAGE="http://www.openssl.org/"
213 SRC_URI="mirror://openssl/source/${P}.tar.gz
214 http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/~checkout~/packages/${PN}/${PN}-c_rehash.sh?rev=${REV} -> ${PN}-c_rehash.sh.${REV}"
215
216 LICENSE="openssl"
217 SLOT="0"
218 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
219 IUSE="bindist gmp kerberos rfc3779 sse2 static-libs test zlib"
220
221 # Have the sub-libs in RDEPEND with [static-libs] since, logically,
222 # our libssl.a depends on libz.a/etc... at runtime.
223 LIB_DEPEND="gmp? ( dev-libs/gmp[static-libs] )
224 zlib? ( sys-libs/zlib[static-libs] )
225 kerberos? ( app-crypt/mit-krb5 )"
226 RDEPEND="static-libs? ( ${LIB_DEPEND} )
227 !static-libs? ( ${LIB_DEPEND//\[static-libs]} )"
228 DEPEND="${RDEPEND}
229 sys-apps/diffutils
230 >=dev-lang/perl-5
231 test? ( sys-devel/bc )"
232 PDEPEND="app-misc/ca-certificates"
233
234 src_unpack() {
235 unpack ${P}.tar.gz
236 cp "${DISTDIR}"/${PN}-c_rehash.sh.${REV} "${WORKDIR}"/c_rehash || die
237 }
238
239 src_prepare() {
240 # Make sure we only ever touch Makefile.org and avoid patching a file
241 # that gets blown away anyways by the Configure script in src_configure
242 rm -f Makefile
243
244 epatch "${FILESDIR}"/${PN}-1.0.0a-ldflags.patch #327421
245 epatch "${FILESDIR}"/${PN}-1.0.0d-fbsd-amd64.patch #363089
246 epatch "${FILESDIR}"/${PN}-1.0.0d-windres.patch #373743
247 epatch "${FILESDIR}"/${PN}-1.0.0e-pkg-config.patch
248 epatch "${FILESDIR}"/${PN}-1.0.0e-parallel-build.patch
249 epatch "${FILESDIR}"/${PN}-1.0.0e-x32.patch
250 epatch_user #332661
251
252 # disable fips in the build
253 # make sure the man pages are suffixed #302165
254 # don't bother building man pages if they're disabled
255 sed -i \
256 -e '/DIRS/s: fips : :g' \
257 -e '/^MANSUFFIX/s:=.*:=ssl:' \
258 -e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
259 -e $(has noman FEATURES \
260 && echo '/^install:/s:install_docs::' \
261 || echo '/^MANDIR=/s:=.*:=/usr/share/man:') \
262 Makefile.org \
263 || die
264 # show the actual commands in the log
265 sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
266
267 # allow openssl to be cross-compiled
268 cp "${FILESDIR}"/gentoo.config-1.0.0 gentoo.config || die
269 chmod a+rx gentoo.config
270
271 append-flags -fno-strict-aliasing
272 append-flags $(test-flags-CC -Wa,--noexecstack)
273
274 sed -i '1s,^:$,#!/usr/bin/perl,' Configure #141906
275 ./config --test-sanity || die "I AM NOT SANE"
276 }
277
278 src_configure() {
279 unset APPS #197996
280 unset SCRIPTS #312551
281 unset CROSS_COMPILE #311473
282
283 tc-export CC AR RANLIB RC
284
285 # Clean out patent-or-otherwise-encumbered code
286 # Camellia: Royalty Free http://en.wikipedia.org/wiki/Camellia_(cipher)
287 # IDEA: 5,214,703 07/01/2012 http://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
288 # EC: ????????? ??/??/2015 http://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
289 # MDC2: Expired http://en.wikipedia.org/wiki/MDC-2
290 # RC5: 5,724,428 03/03/2015 http://en.wikipedia.org/wiki/RC5
291
292 use_ssl() { usex $1 "enable-${2:-$1}" "no-${2:-$1}" " ${*:3}" ; }
293 echoit() { echo "$@" ; "$@" ; }
294
295 local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
296
297 local sslout=$(./gentoo.config)
298 einfo "Use configuration ${sslout:-(openssl knows best)}"
299 local config="Configure"
300 [[ -z ${sslout} ]] && config="config"
301 echoit \
302 ./${config} \
303 ${sslout} \
304 $(use sse2 || echo "no-sse2") \
305 enable-camellia \
306 $(use_ssl !bindist ec) \
307 $(use_ssl !bindist idea) \
308 enable-mdc2 \
309 $(use_ssl !bindist rc5) \
310 enable-tlsext \
311 $(use_ssl gmp gmp -lgmp) \
312 $(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
313 $(use_ssl rfc3779) \
314 $(use_ssl zlib) \
315 --prefix=/usr \
316 --openssldir=/etc/ssl \
317 --libdir=$(get_libdir) \
318 shared threads \
319 || die
320
321 # Clean out hardcoded flags that openssl uses
322 local CFLAG=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
323 -e 's:^CFLAG=::' \
324 -e 's:-fomit-frame-pointer ::g' \
325 -e 's:-O[0-9] ::g' \
326 -e 's:-march=[-a-z0-9]* ::g' \
327 -e 's:-mcpu=[-a-z0-9]* ::g' \
328 -e 's:-m[a-z0-9]* ::g' \
329 )
330 sed -i \
331 -e "/^CFLAG/s|=.*|=${CFLAG} ${CFLAGS}|" \
332 -e "/^SHARED_LDFLAGS=/s|$| ${LDFLAGS}|" \
333 Makefile || die
334 }
335
336 src_compile() {
337 # depend is needed to use $confopts; it also doesn't matter
338 # that it's -j1 as the code itself serializes subdirs
339 emake -j1 depend || die
340 emake all || die
341 # rehash is needed to prep the certs/ dir; do this
342 # separately to avoid parallel build issues.
343 emake rehash || die
344 }
345
346 src_test() {
347 emake -j1 test || die
348 }
349
350 src_install() {
351 emake INSTALL_PREFIX="${D}" install || die
352 dobin "${WORKDIR}"/c_rehash || die #333117
353 dodoc CHANGES* FAQ NEWS README doc/*.txt doc/c-indentation.el
354 dohtml -r doc/*
355 use rfc3779 && dodoc engines/ccgost/README.gost
356
357 # This is crappy in that the static archives are still built even
358 # when USE=static-libs. But this is due to a failing in the openssl
359 # build system: the static archives are built as PIC all the time.
360 # Only way around this would be to manually configure+compile openssl
361 # twice; once with shared lib support enabled and once without.
362 use static-libs || rm -f "${D}"/usr/lib*/lib*.a
363
364 # create the certs directory
365 dodir /etc/ssl/certs
366 cp -RP certs/* "${D}"/etc/ssl/certs/ || die
367 rm -r "${D}"/etc/ssl/certs/{demo,expired}
368
369 # Namespace openssl programs to prevent conflicts with other man pages
370 cd "${D}"/usr/share/man
371 local m d s
372 for m in $(find . -type f | xargs grep -L '#include') ; do
373 d=${m%/*} ; d=${d#./} ; m=${m##*/}
374 [[ ${m} == openssl.1* ]] && continue
375 [[ -n $(find -L ${d} -type l) ]] && die "erp, broken links already!"
376 mv ${d}/{,ssl-}${m}
377 # fix up references to renamed man pages
378 sed -i '/^[.]SH "SEE ALSO"/,/^[.]/s:\([^(, ]*(1)\):ssl-\1:g' ${d}/ssl-${m}
379 ln -s ssl-${m} ${d}/openssl-${m}
380 # locate any symlinks that point to this man page ... we assume
381 # that any broken links are due to the above renaming
382 for s in $(find -L ${d} -type l) ; do
383 s=${s##*/}
384 rm -f ${d}/${s}
385 ln -s ssl-${m} ${d}/ssl-${s}
386 ln -s ssl-${s} ${d}/openssl-${s}
387 done
388 done
389 [[ -n $(find -L ${d} -type l) ]] && die "broken manpage links found :("
390
391 dodir /etc/sandbox.d #254521
392 echo 'SANDBOX_PREDICT="/dev/crypto"' > "${D}"/etc/sandbox.d/10openssl
393
394 diropts -m0700
395 keepdir /etc/ssl/private
396 }
397
398 pkg_preinst() {
399 has_version ${CATEGORY}/${PN}:0.9.8 && return 0
400 preserve_old_lib /usr/$(get_libdir)/lib{crypto,ssl}.so.0.9.8
401 }
402
403 pkg_postinst() {
404 ebegin "Running 'c_rehash ${ROOT}etc/ssl/certs/' to rebuild hashes #333069"
405 c_rehash "${ROOT}etc/ssl/certs" >/dev/null
406 eend $?
407
408 has_version ${CATEGORY}/${PN}:0.9.8 && return 0
409 preserve_old_lib_notify /usr/$(get_libdir)/lib{crypto,ssl}.so.0.9.8
410 }